Info: dette er ikke ændringsloggen for seneste stabile version 4.13.1
se alle skifter

Pro v2.3.1 med support til bootstrap-faner og sikkerhedsrettelser er tilgængelig

Når Maps Marker Pro kører på din server, er det meget vigtigt for os at levere et sikkert produkt.

For 24 timer siden blev vi kontaktet af Akamai der udførte en intensiv sikkerhedsgennemgang af Maps Marker Pro og fandt 3 potentielle XSS-sårbarheder. Selvom det blev rapporteret, at udnytteligheden var temmelig lav, begyndte vi straks at arbejde på denne udgivelse og løse disse problemer. Mange tak især til Tchad fra Akamai for den ansvarlige afsløring!

En opdatering til den nyeste version anbefales - som altid og i dette tilfælde især - stærkt.


Fortæl os, hvad du synes om denne nye udgivelse af indsender en anmeldelse eller efterlade en kommentar nedenfor!

Hvis du vil holde dig opdateret med den seneste udvikling af Maps Marker, skal du følge @MapsMarker på twitter (= mest aktuelle opdateringer), den Facebook, Google+ eller abonnere på nyheder via RSS eller via RSS / e-mail.

Vi vil også gerne invitere dig til at deltage i vores affiliate program som tilbyder provisioner op til 50%. Hvis du er interesseret i at blive forhandler, kan du besøge https://www.mapsmarker.com/reseller


Lad os komme til de andre højdepunkter i pro v2.3.1:

tilføj support til visning af kort i fanebladet med bootstrap

Kort vises nu også korrekt, når de indlæses i bootstrap-faner (samt jQuery UI-faner, som allerede understøttes siden v1.1.2).

Andre ændringer og optimeringer

  • optimeret installations- og opdateringsrutine script (mindre databasespørgsmål nødvendigt)

Fejlrettelser

  • 3 potentielle XSS-sårbarheder opdaget af Akamai - mange tak for den ansvarlige afsløring!

Oversættelser opdateringer

Takket være mange motiverede bidragydere inkluderer denne udgivelse opdateringer til følgende oversættelser:

  • Norsk (bokmål) oversættelse takket være Inge Tang, http://drommemila.no
  • Russisk oversættelse takket være Ekaterina Golubina (understøttet af Teplitsa fra Social Technologies - http://te-st.ru) og Vyacheslav Strenadko, http://poi-gorod.ru

Hvis du vil bidrage til oversættelser (nye hindi-oversættere vil blive værdsat!), Kan du besøge https://translate.mapsmarker.com/projects/lmm for mere information.

Bemærk, at oversættere også kompenseres for deres bidrag - for eksempel hvis en oversættelse er færdig med mindre end 50%, får oversætteren en gratis 25 licenspakke til en værdi af € 149 som en kompensation for at afslutte oversættelsen til 100%.

Kendte problemer

Desværre er der i øjeblikket et problem, der ikke kan løses direkte inden for Maps Marker Pro:

Med WordPress 4.2 blev Emoji-support tilføjet. Desværre er der en åben bug (detaljer) som kan resultere i frosne kort eller nedbrud på Internet Explorer - så WordPress 4.2, 4.2.1 og 4.2.2 påvirkes. I henhold til den relaterede trac-billet er en fix allerede tilgængelig og forhåbentlig vil den snart blive implementeret med WordPress 4.2.3.

Som løsning, indtil WordPress 4.2.3 er tilgængelig, kan du kun deaktiver Emojis i øjeblikket for kort, der også fungerer korrekt i Internet Explorer.

Vi er virkelig kede af dette problem, men dette er uden for vores indflydelse - vi kontaktede allerede fyre og damer på WordPress og håber, at rettelsen til Emoji / SVG-bug snart vil være tilgængelig.

Outlook - planer for de næste udgivelser

Vær opmærksom på, at vi ikke kan love nogen frigivelsesdatoer for nye funktioner. Det køreplan for større nye funktioner giver dig en idé, hvor Maps Marker Pro er på vej - alligevel vil vi bare gerne beholde fleksibiliteten til at tilføje optimeringer og bugfixes med temmelig ikke planlagte mindre udgivelser, der hovedsageligt skyldes brugernes feedback.

Abonner venligst på denne blog (via RSS or E-mail) eller følg @MapsMarker på twitter (= mest aktuelle opdateringer), hvis du vil holde dig opdateret med de seneste udviklingsnyheder.

Fuld changelog

tilføj support til visning af kort i fanebladet med bootstrap
optimeret installations- og opdateringsrutine script (mindre databasespørgsmål nødvendigt)
3 potentielle XSS-sårbarheder opdaget af Akamai - mange tak for den ansvarlige afsløring!
Oversættelsesopdateringer
Hvis du vil hjælpe med oversættelser, kan du besøge webbaseret oversættelsesplatform
opdateret norsk (bokmål) oversættelse takket være Inge Tang, http://drommemila.no
opdateret russisk oversættelse takket være Ekaterina Golubina (understøttet af Teplitsa fra Social Technologies - http://te-st.ru) og Vyacheslav Strenadko, http://poi-gorod.ru
Kendte problemer
Internet Explorer kan gå ned med WordPress 4.2 til 4.2.2 på grund af Emoji-konflikt (detaljer) - planlagt at blive rettet med WordPress 4.2.3, løsningen indtil WordPress 4.2.3 er tilgængelig: deaktiver Emojis

Vis tidligere skifter

Sådan downloades / opdateres

Den nemmeste måde at opdatere er at bruge WordPress-opdateringsprocessen: log ind med en bruger, der har administratorrettigheder, naviger til Dashboard / Updates, vælg plugins, der skal opdateres, og tryk på knappen “Update Plugins”. Pro-plugin kontrollerer hver 12. time, hvis en ny version er tilgængelig. Du kan også udløse opdateringskontrollen manuelt ved at gå til Plugins og klikke på linket "Manuelt kontrollere for opdateringer" ved siden af ​​"Maps Marker Pro":

manuel-update-kontrol

Hvis du ikke kan se linket "Kontroller for opdateringer" og bruger en version nedenfor 1.7, skal du opdatere manuelt en gang ved at downloade den aktuelle pakke fra https://www.mapsmarker.com/download-pro og overskriv de eksisterende plugin-filer på din server via FTP. Dette kan være nødvendigt på flere værter, der bruger forældede SSL-biblioteker, der forhindrer Maps Marker Pro i at oprette en sikker forbindelse til at hente opdateringspakken fra mapsmarker.com. Pro v1.7 inkluderer en løsning på den slags servere, og følgende opdateringer skal fungere igen som sædvanligt. Hvis du er berørt og har brug for hjælp, så tak åbne en support billet.

Sådan kontrolleres integriteten af ​​plugin-pakken

SHA-256 hashværdi:

0a182d9736c28763819daf006cc236408a18482c1653bfc9bc8f9522a249a7ef

Klik her for en tutorial om, hvordan du verificerer integriteten af ​​plugin-pakken (anbefales, hvis plugin-pakken til en ny installation ikke blev downloadet fra https://www.mapsmarker.com - verifikation er dog ikke nødvendig, hvis den automatiske opdateringsproces bruges)

Yderligere opdateringsnotater til betatestere

Ingen yderligere handling ved plugin-opdatering kræves.

Efterlad en kommentar

XHTML: Du kan bruge disse tags: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>

en English
X